QueryTransaction
GET/v1/mor/transaction/query
Query transaction by ID or external ID
Request
Query Parameters
payment token
External transaction ID in game system
Responses
- 200
- default
OK
- application/json
- Response
- Example
Response
payment_details
object
payment
object
Payment amount, final payment amount
Payment currency, three-letter currency code (ISO 4217)
Net amount (excluding tax) after discount
VAT amount, tax amount after discount
discount
object
Discount information
Discount ID
Discount promo code
Final discount amount
Final discount rate (e.g., 0.2 for 20%)
transaction
object
External transaction ID in game system
Transaction ID in our system
Payment completion date
project
object
non-empty
Project ID in our system
Project name
[Unknown, Pending, Completed, Cancelled]
Transaction status
user
object
User region_code (ISO 3166-1 alpha-2)
User email
User ID in game system
User name
{
"payment_details": {
"payment": {
"amount": "string",
"currency": "string",
"net_amount": "string",
"vat_amount": "string",
"discount": {
"discount_id": "string",
"discount_code": "string",
"discount_amount": "string",
"discount_rate": "string"
}
}
},
"transaction": {
"external_id": "string",
"id": "string",
"payment_date": "string",
"project": {
"id": "string",
"name": "string"
},
"status": "Unknown"
},
"user": {
"region_code": "string",
"email": "string",
"id": "string",
"name": "string"
}
}
Error response structure
- application/json
- Response
- Example
Response
Array [
]
Array [
]
details
object[]
The type of the serialized message.
causes
object[]
{
"name": "string",
"message": "string",
"details": [
{
"@type": "string"
}
],
"debug_id": "string",
"causes": [
{
"cause": "string",
"solution": "string"
}
]
}